#if !defined(FDIDIR_DEFINED)
#define FDIDIR_DEFINED DONE

#include "FdIO.h"
#include <sys/stat.h>
#include <errno.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct FdIDir  FdIDir;

struct FdIDir{
  char*      nextFile;       /* current/next file name                        */
  int        nPrint;         /* number of time some debug info is printed     */
  int        tStart;         /* first frame to be read                        */
  int        lastMtimeS;     /* last directory modify time (seconds)          */
  int        lastMtimeN;     /* last directory modify time (nanoseconds)      */
  int        timeLastFrame;  /* time of the last frame read                   */
  int        tNextFrame;     /* expected time for the next frame              */
  int        nWarningsPrfx;  /* number of warning for unexpected file print   */
  int        dtFile;         /* file duration in second                       */
  char*      dirName;        /* directory name if input from a directory      */
  char*      prefix;         /* file prefix                                   */
  char*      frameInfo;      /* name of the file holding the last frame time  */
  FrFile*    iFile;          /* input frame file                              */
  FRBOOL     lastRead;       /* tell if a frame was read during the last call */
  FdAction*  action;         /* action object                                 */
  FdIDir*    next;           /* next object, used by the frame merger         */
};
 
FdIDir* FdIDirNew(char* dirName, int tStart);
FrameH *FdIDirProcessOne(FdIDir* iDir, int dbgLvl);

#ifdef __cplusplus
}
#endif

#endif
